Closed Bug 955182 Opened 7 years ago Closed 7 years ago

Warning: Use of Mutation Events is deprecated. Use MutationObserver instead.

Categories

(Instantbird :: Contacts window, defect)

defect
Not set
minor

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: clokep, Assigned: florian)

References

()

Details

Attachments

(2 files)

*** Original post on bio 1750 at 2012-11-02 03:05:00 UTC ***

New with Moz 16:

Timestamp: 11/1/2012 7:56:57 PM
Warning: Use of Mutation Events is deprecated. Use MutationObserver instead.
Source File: chrome://instantbird/content/blist.js
Line: 771
Whiteboard: [1.3-wanted]
*** Original post on bio 1750 at 2012-11-12 18:25:11 UTC ***

Too late for 1.3 (we plan to start building release candidates tomorrow, so we have only one nightly left; any regression caught tomorrow would delay the release at this point).
Whiteboard: [1.3-wanted] → [1.4-wanted]
*** Original post on bio 1750 at 2012-11-27 13:57:38 UTC ***

https://bugzilla.mozilla.org/show_bug.cgi?id=808172 might be helpful in this.
*** Original post on bio 1750 at 2013-04-27 19:52:00 UTC ***

I'm not sure if there are other cases but this looks useful:

http://lxr.instantbird.org/instantbird/search?string=addEventListener\%28.DOM
*** Original post on bio 1750 at 2013-04-27 19:54:55 UTC ***

Here's what the query returns, minus "DOMMouseScroll" and "DOMContentLoaded" results.

/instantbird/content/blist.js, line 771 -- buddyList.convBox.addEventListener("DOMNodeRemoved",

/instantbird/content/buddytooltip.xml, line 118 -- val.addEventListener("DOMAttrModified", this);

/instantbird/content/conversation.xml, line 68 -- .addEventListener("DOMAttrModified",

/instantbird/content/conversation.xml, line 71 -- .addEventListener("DOMAttrModified",

/instantbird/content/tabbrowser.xml, line 1921 -- aTab.addEventListener("DOMAttrModified", this);

/instantbird/themes/messages/bubbles/Footer.html, line 315 -- .addEventListener("DOMNodeInserted", checkNewText);

/instantbird/themes/messages/dark/Footer.html, line 47 -- .addEventListener("DOMNodeInserted", checkNewText);

/instantbird/themes/messages/papersheets/Footer.html, line 116 -- .addEventListener("DOMNodeInserted", checkNewText);
*** Original post on bio 1750 as attmnt 2769 at 2013-08-23 21:55:00 UTC ***

These are the noisiest as they appear each time a conversation is displayed.
Attachment #8354538 - Flags: review?
Comment on attachment 8354538 [details] [diff] [review]
Fix the message themes

*** Original change on bio 1750 attmnt 2769 at 2013-08-23 21:56:57 UTC ***

Let's land this and take care of others after we get rid of the noisiest.
Attachment #8354538 - Flags: review? → review+
*** Original post on bio 1750 at 2013-08-24 00:36:01 UTC ***

(In reply to comment #5)
> Created attachment 8354538 [details] [diff] [review] (bio-attmnt 2769) [details]
> Fix the message themes
> 
> These are the noisiest as they appear each time a conversation is displayed.

http://hg.instantbird.org/instantbird/rev/423b93df54f8
*** Original post on bio 1750 as attmnt 2780 at 2013-08-24 21:06:00 UTC ***

Requesting review from aleth, but anybody who feels confident with this patch can review :).
Attachment #8354549 - Flags: review?(aleth)
Assignee: nobody → florian
Depends on: 955564
Comment on attachment 8354549 [details] [diff] [review]
instantbird/content/

*** Original change on bio 1750 attmnt 2780 at 2013-08-26 14:53:34 UTC ***

Looks good, and is actually more readable in some cases :) Thanks for taking care of these!
Attachment #8354549 - Flags: review?(aleth) → review+
Whiteboard: [1.4-wanted] → [checkin-needed]
*** Original post on bio 1750 at 2013-08-26 18:10:44 UTC ***

http://hg.instantbird.org/instantbird/rev/b3986d237da1
Status: NEW → RESOLVED
Closed: 7 years ago
Resolution: --- → FIXED
Whiteboard: [checkin-needed]
Target Milestone: --- → 1.5
Depends on: 955631
You need to log in before you can comment on or make changes to this bug.